Bug 254554 - devel/poco: Update to 1.10.1
Summary: devel/poco: Update to 1.10.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok, patch
Depends on:
Blocks:
 
Reported: 2021-03-25 15:54 UTC by Gleb Popov
Modified: 2021-03-29 16:15 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (henry.hu.sh)
arrowd: maintainer-feedback? (henry.hu.sh)


Attachments
Patch (17.88 KB, patch)
2021-03-25 15:54 UTC, Gleb Popov
no flags Details | Diff
Patch (18.63 KB, patch)
2021-03-28 14:31 UTC, Gleb Popov
arrowd: maintainer-approval? (henry.hu.sh)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gleb Popov freebsd_committer 2021-03-25 15:54:41 UTC
Created attachment 223576 [details]
Patch

Tested in poudriere with various OPTIONs set.
Comment 1 Automation User 2021-03-25 19:39:11 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/276507464
Comment 2 Daniel Engberg 2021-03-25 20:08:09 UTC
Hi,

I few issues that should be fixed in general

PORTVERSION --> DISTVERSION
"Table 5.2. Package Naming Examples" in Porters Handbook
MASTER_SITES --> https (redirects to https)
This also applies to pkg-descr
Upstream provides a bz2 archive (smaller in size)

Should we perhaps use C++14 instead of 11?
https://github.com/pocoproject/poco/blob/master/CMakeLists.txt#L41

Best regards,
Daniel
Comment 3 Gleb Popov freebsd_committer 2021-03-28 14:31:14 UTC
Created attachment 223666 [details]
Patch

Thanks for the review, Daniel! I've applied all your suggestions.
Comment 4 Daniel Engberg 2021-03-28 15:24:31 UTC
Thanks, you forgot switching to tar.bz2 archive it seems?
Comment 5 Henry Hu 2021-03-28 20:47:48 UTC
The patch looks good to me. I've run it on poudriere for 11 & 12 and it works fine.
There's a minor issue: you added an extra space while replacing CMAKE_DEBUG_POSTFIX, which I think is not needed.
Comment 6 commit-hook freebsd_committer 2021-03-29 16:14:42 UTC
A commit references this bug:

Author: arrowd
Date: Mon Mar 29 16:14:18 UTC 2021
New revision: 569479
URL: https://svnweb.freebsd.org/changeset/ports/569479

Log:
  devel/poco: Update to 1.10.1

  PR:		254554
  Reviewed by:	daniel.engberg.lists@pyret.net
  Approved by:	Henry Hu <henry.hu.sh@gmail.com>

Changes:
  head/devel/poco/Makefile
  head/devel/poco/distinfo
  head/devel/poco/files/
  head/devel/poco/pkg-descr
  head/devel/poco/pkg-plist
Comment 7 Gleb Popov freebsd_committer 2021-03-29 16:15:47 UTC
I have incorporated bz2 and sed suggestions and committed the update. Thanks everyone.